import React from "react";
import styled from "styled-components";

const Tile = styled.div`
  flex: 1;
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: center;
`

const Name = styled.span`
  font-size: 1.4em;
  font-weight: 800;
`

const TotalScore = styled.span`
  font-size: 1.1em;
`

const List = styled.ol`
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: flex-start;
  margin-bottom: 20%;
`

const Score = styled.li`
  flex: 1;
`

export default ({ name, guesses, totalScore }) => (
  <Tile>
    <Name>{name}</Name>
    <TotalScore>Score: {totalScore}</TotalScore>
    <List>
      {
        ["1", "2", "3", "4", "5"]
          .map(key => {
            const score = guesses[key]?.score
            return score ? <Score key={key}>{score}</Score> : null
          })
      }
    </List>
  </Tile>
);
